Objectionable content button for forum posts and topics

Bug #1024872 reported by Kristina Hoeppner on 2012-07-15
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Ruslan Kabalin

Bug Description

Only artefacts and pages can be reported if their content is deemed objectionable. This should also be possible for
- profile pages
- forum topics
- forum posts (tricky as what shall be done with subsequent replies? -> consider carefully)
- groups (e.g. on the group homepage)
- feedback

description: updated
Changed in mahara:
status: New → Triaged
tags: added: objectionablecontent
tags: added: objectionable
removed: objectionablecontent
Ruslan Kabalin (rkabalin) wrote :

I have been working Objectionable content for forums. Almost done, just need to make it neater. Will publish for revision next week.

Ruslan Kabalin (rkabalin) wrote :

One thing I am still not sure is who should be notified? Moderators should be notified for sure. What about group admin? Institution admins? Site admins? In the latter two cases we will likely hit bug #1274948.

Ruslan Kabalin (rkabalin) wrote :

^ that is about forum objectionable content reporting.

tags: added: groups
Changed in mahara:
status: Triaged → In Progress
assignee: nobody → Ruslan Kabalin (rkabalin)

Currently, site and institution admins are informed about objectionable content anywhere. Site admins should be informed and not only group admins as they might be peers of the person posting stuff and not care. Institution admins should not be informed as we do not really have institution groups.

When objectionable content is reported for a page or an artefact on that page, admins normally do not have access to the page except in this case. So we could have a similar rule for group content.

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3022

Robert's revision comments:

>Ok, I've given it a test and here are some initial findings:
>In one's inbox (/account/activity/index.php) the icon for the 'Objectionable content on ...' report is missing in patch 2 - but is there in patch 1

You are right, I thought that file is from my early proof-of-concept work and deleted it, will bring it back.

>I notice a form post can be marked as objectionable multiple times. I can see value in this if person A wants to mark it as objectionable and so does person B.
>But I feel if person A has marked it as objectionable then person A should not be allowed to mark it objectionable again (unless the objection is cleared).

Well, makes sense but only if it will be indicated that the post has been reported.

>Also I don't think it's useful to show the 'report' link to the person who posted the forum post as reporting one's own links seems a waste of time.

I agree.

>With the "This post has been reported as containing objectionable content ... " message that appears below the objected post I think it should include an expandable section to show the objection message(s) and submitter(s) to make for easy diagnosis.

OK, sounds reasonable.

>If a post is objectionable should the 'reply to' link be disabled (greyed out) to stop the thread from progressing?

No, I do not think so. There is no need to block conversation and there might be some replies already. Also, "reporting" feature might be abused in a sense of using it as a tool for blocking conversations.

>The admins get to see the objectional message for a post but non admins do not see any visual clue that the post has been flagged as objectionable.
> The 'reply to' link should be disabled and message 'your|this post has been flagged as objectionable' added below post.

Admins (group and site) and moderators will also see the post highlighted in red. It is a question whether we need to indicate that post has been reported to all the others. I personally would not like to see it highlighted in any way, on the other hand if we want to stop reporting more than once, some way of highlighting might be required.

Aaron Wells (u-aaronw) wrote :

On the subject of whether or not we should show that content has been flagged as objectionable:

The way it's done in most online communities, is that when you flag content as objectionable, it does *not* hide it from other users, until an admin reviews your objection and agrees with it. As Ruslan said, this is to avoid abuse of the flag feature.

The main exception to this behavior is for sites that use a "karma" system, like Slashdot, where users can vote each comment up or down, and they can set a threshold to hide comments that fall below a certain karma level. But I think that falls outside the scope of this issue.

For the record: Ruslan's comments that he made on the wrong bug.

OK, will copy commit message here for the record, as it basically explain everything about the feature:

The feature allows to report objectionable content in the forum posts and topics. When post is reported, the notification is sent to site admins, group admins and forum moderators. Any of above can take action and either mark the post as not objectionable or delete it. In both cases the notification about action will be sent to users who were originally notified about objectionable content, so that they will be aware on other person action and outcomes. Site admin normally can't access the content of the forum he/she is not a member of, however in the case of objectionable content, site admin will be able to have temporary rights similar to group admins, making possible to delete or edit any post in the given forum. Once the issues is resolved (forum no longer contains objectionable content), admin will not longer be able to access forum in the group he/she is not a member.

Ready for revision:
https://reviews.mahara.org/3022
https://reviews.mahara.org/3023

Ruslan Kabalin (rkabalin) wrote on 2014-02-20:

Good question which I asked myself why I have not introduced the new system group role, such as "inspector", that would not be possible to assign people via membership page, but will be assigned to admins if there is an objection content. I started working that way initially, but then realised that though roles are in the table, there are many-many occurrences in the code when they are literally compared to its string values rather than some capabilities that are supposed to be defined in the grouptype_roles table, so between adding more mess or less, I have chosen adding less )) and added all forum access validation for site admins to user_can_access_forum. Ideally the "system" grouptype is needed with system roles that will be inherited by other grouptypes (standard and course), and all permissions validation needs to be done against capabilities defined at grouptype level. But that is different story that require a separate issue and substantial amount of work.

Reviewed: https://reviews.mahara.org/3022
Committed: http://gitorious.org/mahara/mahara/commit/c83909eb478278bbdc34c6585152842d9b2641ac
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit c83909eb478278bbdc34c6585152842d9b2641ac
Author: Ruslan Kabalin <email address hidden>
Date: Mon Feb 17 16:35:48 2014 +0000

Move interaction plugin group menu to plugin level.

Bug #1024872

Group menu item should be provided by the interaction plugin rather than
being hardcoded in group library. The change is required for controlling
menu item display when objectionable content has been repored and post is
accessed by site admin who is not a member of the group.

Change-Id: Icc34f5f5ad7d0ae03e43ea4741ce48a177e41f6c
Signed-off-by: Ruslan Kabalin <email address hidden>

OK, I had time to look into this change. The updated version is pushed for revision:

https://reviews.mahara.org/#/c/3023/

Most review outcomes have been implemented. However one on them is not. I talked to other people and I think it should still be possible to mark content as objectionable multiple times - this will indicate the importance of the issue (more reports - more important), all report messages will be stored and displayed in the drop-down menu which is now there (Robert's idea). Limiting reporting to just one will result in indication that the post has been reported to others, which does not seem good.

I would add the feature for now, but if reporting needs to be limited to just one in the future (with indication that post has been reported), based on people feedback, someone could make it as forum setting. What is be your opinion?

Reviewed: https://reviews.mahara.org/3023
Committed: http://gitorious.org/mahara/mahara/commit/00e0488ac049016d86d49476471aeea72d27d038
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 00e0488ac049016d86d49476471aeea72d27d038
Author: Ruslan Kabalin <email address hidden>
Date: Wed Dec 4 10:06:04 2013 +0000

Add forum objectionable content reporing functionality (bug #1024872).

The feature allows to report objectionable content in the forum posts and
topics. When post is reported, the notification is sent to site admins,
group admins and forum moderators. Any of above can take action and either
mark the post as not objectionable or delete it. In both cases the
notification about action will be sent to users who were originally
notified about objectionable content, so that they will be aware on other
person action and outcomes. Site admin normally can't access the content of
the forum he/she is not a member of, however in the case of objectionable
content, site admin will be able to have temporary rights similar to group
admins, making possible to delete or edit any post in the given forum. Once
the issues is resolved (forum no longer contains objectionable content),
admin will not longer be able to access forum in the group he/she is not a
member.

Change-Id: I12e459e2f754fcc7f5eeb0bad2f646927ad03cf8
Signed-off-by: Ruslan Kabalin <email address hidden>
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2014-05-20
Changed in mahara:
milestone: none → 1.10.0
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2014-05-20
tags: added: nominatedfeature

When I was testing this, the notification email that I received has a missing lang string:

"[[objectionablecontentviewtext/interaction.forum]]

Please do not reply to this message."

Changed in mahara:
status: Fix Committed → In Progress

Reviewed: https://reviews.mahara.org/3404
Committed: http://gitorious.org/mahara/mahara/commit/e46afb22773ebdf677ceceb86969b30b630ad0e4
Submitter: Yuliya Bozhko (<email address hidden>)
Branch: master

commit e46afb22773ebdf677ceceb86969b30b630ad0e4
Author: Aaron Wells <email address hidden>
Date: Wed Jun 4 16:33:07 2014 +1200

Fix typo in lang string name

Bug 1024872

Change-Id: I5c8c11b993c81a6125c0136943f07003e0899c15

Aaron Wells (u-aaronw) on 2014-06-04
Changed in mahara:
status: In Progress → Fix Committed

Does something else need to be activated / installed for this feature to work? Can't see an objectionable icon on the group homepage, a forum or a forum post.

Ruslan Kabalin (rkabalin) wrote :

@Kristina Have you sorted the issue? Can you see the button?

Ruslan: I can see it on forum posts now.

summary: - Objectionable content button for forums and groups
+ Objectionable content button for forum posts and topics
Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers